x <- barplot(
	VADeaths,
	main="Death Rates in Virginia (1940)",
	names.arg=sub(" ", "\n", colnames(VADeaths)),
	col=rainbow(nrow(VADeaths))
)
y <- apply(VADeaths, 2, cumsum) - VADeaths / 2
text(
	rep(x, each=5),
	y,
	VADeaths
)
legend(
	"topright",
	legend=rownames(VADeaths),
	fill=rainbow(nrow(VADeaths))
)
